BSTRING(3)

NAME
bcopy, bcmp, bzero, ffs - bit and byte string operations

SYNOPSIS
bcopy(src, dst, length)
char *src, *dst;
int length;

bcmp(b1, b2, length)
char *b1, *b2;
int length;

bzero(b, length)
char *b;
int length;

ffs(i)
long i;

DESCRIPTION
The functions bcopy, bcmp, and bzero operate on variable length strings of bytes. They do not check for null bytes as the routines in string(3) do.

Bcopy copies length bytes from string src to the string dst.

Bcmp compares byte string b1 against byte string b2, returning zero if they are identical, non-zero otherwise. Both strings are assumed to be length bytes long.

Bzero places length 0 bytes in the string b1.

Ffs find the first bit set in the argument passed it and returns the index of that bit. Bits are numbered starting at 1. A return value of 0 indicates the value passed is zero.

BUGS
The bcopy routine take parameters backwards from strcpy.